Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMultiplexerType Class Reference

The class eZMultiplexerType does. More...

Inheritance diagram for eZMultiplexerType:

## Public Member Functions
| __construct ()
| attributeDecoder ( $event, $attr)
| typeFunctionalAttributes ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| execute ( $process, $event)
| initializeEvent ( $event)
| fetchHTTPInput ( $http, $base, $event)
Public Member Functions inherited from eZWorkflowEventType
| __construct ( $typeString='', $name='')
| eZWorkflowEventType ( $typeString, $name)
Public Member Functions inherited from eZWorkflowType
| __construct ( $group, $type, $groupName, $name)
| eZWorkflowType ( $group, $type, $groupName, $name)
| setAttribute ( $attr, $value)
| setTriggerTypes ( $allowedTypes)
| eventDescription ()
| validateHTTPInput ( $http, $base, $event, &$validation)
| fixupHTTPInput ( $http, $base, $event)
| setActivationDate ( $date)
| setInformation ( $inf)
| needCleanup ()
| cleanupAfterRemoving ( $attr=array())
| cleanup ( $process, $event)
| customWorkflowEventHTTPAction ( $http, $action, $workflowEvent)
| workflowEventContent ( $event)
| storeEventData ( $event, $version)
| storeDefinedEventData ( $event)
| isAllowed ( $moduleName, $functionName, $connectType)

## Public Attributes
const | WORKFLOW_TYPE_STRING = "ezmultiplexer"
const | VERSION_OPTION_FIRST_ONLY = 1
const | VERSION_OPTION_EXCEPT_FIRST = 2
const | VERSION_OPTION_ALL = 3
Public Attributes inherited from eZWorkflowType
| $Attributes
const | STATUS_NONE = 0
const | STATUS_ACCEPTED = 1
const | STATUS_REJECTED = 2
const | STATUS_DEFERRED_TO_CRON = 3
const | STATUS_DEFERRED_TO_CRON_REPEAT = 4
const | STATUS_RUN_SUB_EVENT = 5
const | STATUS_WORKFLOW_CANCELLED = 6
const | STATUS_FETCH_TEMPLATE = 7
const | STATUS_FETCH_TEMPLATE_REPEAT = 8
const | STATUS_REDIRECT = 10
const | STATUS_WORKFLOW_DONE = 9
const | STATUS_REDIRECT_REPEAT = 11
const | STATUS_WORKFLOW_RESET = 12
| $Group
| $Type
| $TypeString
| $GroupName
| $Name
| $ActivationDate
| $Information
| $TriggerTypes = array( '*' => true )

## Additional Inherited Members
Static Public Member Functions inherited from eZWorkflowEventType
static | registerEventType ( $typeString, $class_name)
Static Public Member Functions inherited from eZWorkflowType
static | statusName ( $status)
static | createType ( $typeString)
static | fetchRegisteredTypes ()
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | registerType ( $group, $type, $class_name)
static | loadAndRegisterType ( $typeString)
static | statusNameMap ()

## Detailed Description

The class eZMultiplexerType does.

WorkflowEvent storage fields : data_text1 - selected_sections data_text2 - selected_usergroups data_text5 - selected_classes data_int1 - selected_workflow data_int2 - language_list data_int3 - content object version option

Definition at line 23 of file ezmultiplexertype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMultiplexerType::__construct | ( |  | ) |

Constructor

Definition at line 33 of file ezmultiplexertype.php.

References ezpI18n\tr(), and WORKFLOW_TYPE_STRING.

## Member Function Documentation

## ◆ attribute()

eZMultiplexerType::attribute | ( |  | $attr | ) |

Reimplemented from eZWorkflowType.

Definition at line 115 of file ezmultiplexertype.php.

References eZWorkflowType\attribute(), eZContentObject\definition(), eZSection\fetchList(), eZContentLanguage\fetchList(), eZWorkflow\fetchList(), eZContentClass\fetchList(), eZPersistentObject\fetchObjectList(), eZContentObject\STATUS_PUBLISHED, and eZContentClass\VERSION_STATUS_DEFINED.

## ◆ attributeDecoder()

eZMultiplexerType::attributeDecoder | ( |  | $event,
|  |  | $attr
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 38 of file ezmultiplexertype.php.

References eZContentLanguage\languagesByMask(), and VERSION_OPTION_ALL.

## ◆ attributes()

eZMultiplexerType::attributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 100 of file ezmultiplexertype.php.

References eZWorkflowType\attributes().

Referenced by hasAttribute().

## ◆ execute()

eZMultiplexerType::execute | ( |  | $process,
|  |  | $event
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 185 of file ezmultiplexertype.php.

References eZWorkflowProcess\create(), eZWorkflowProcess\createKey(), eZUser\currentUser(), eZUser\fetch(), eZContentObject\fetch(), eZWorkflow\fetch(), eZWorkflowEvent\fetch(), eZContentObject\fetchByNodeID(), eZWorkflowProcess\fetchListByKey(), eZWorkflowType\setActivationDate(), eZWorkflowType\STATUS_ACCEPTED, eZWorkflow\STATUS_CANCELLED, eZWorkflow\STATUS_DEFERRED_TO_CRON, eZWorkflowType\STATUS_DEFERRED_TO_CRON_REPEAT, eZWorkflow\STATUS_DONE, eZWorkflow\STATUS_FAILED, eZWorkflow\STATUS_FETCH_TEMPLATE, eZWorkflow\STATUS_FETCH_TEMPLATE_REPEAT, eZWorkflowType\STATUS_FETCH_TEMPLATE_REPEAT, eZWorkflow\STATUS_REDIRECT, eZWorkflowType\STATUS_REDIRECT_REPEAT, eZWorkflowType\STATUS_REJECTED, eZWorkflow\STATUS_WAITING_PARENT, eZWorkflowType\STATUS_WORKFLOW_CANCELLED, VERSION_OPTION_EXCEPT_FIRST, and VERSION_OPTION_FIRST_ONLY.

## ◆ fetchHTTPInput()

eZMultiplexerType::fetchHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $event
| ) |  |

Reimplemented from eZWorkflowType.

Definition at line 353 of file ezmultiplexertype.php.

References VERSION_OPTION_ALL.

## ◆ hasAttribute()

eZMultiplexerType::hasAttribute | ( |  | $attr | ) |

Reimplemented from eZWorkflowType.

Definition at line 110 of file ezmultiplexertype.php.

References attributes().

## ◆ initializeEvent()

eZMultiplexerType::initializeEvent | ( |  | $event | ) |

Reimplemented from eZWorkflowType.

Definition at line 348 of file ezmultiplexertype.php.

## ◆ typeFunctionalAttributes()

eZMultiplexerType::typeFunctionalAttributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 90 of file ezmultiplexertype.php.

## Member Data Documentation

## ◆ VERSION_OPTION_ALL

const eZMultiplexerType::VERSION_OPTION_ALL = 3

Definition at line 28 of file ezmultiplexertype.php.

Referenced by attributeDecoder(), and fetchHTTPInput().

## ◆ VERSION_OPTION_EXCEPT_FIRST

const eZMultiplexerType::VERSION_OPTION_EXCEPT_FIRST = 2

Definition at line 27 of file ezmultiplexertype.php.

Referenced by execute().

## ◆ VERSION_OPTION_FIRST_ONLY

const eZMultiplexerType::VERSION_OPTION_FIRST_ONLY = 1

Definition at line 26 of file ezmultiplexertype.php.

Referenced by execute().

## ◆ WORKFLOW_TYPE_STRING

const eZMultiplexerType::WORKFLOW_TYPE_STRING = "ezmultiplexer"

Definition at line 25 of file ezmultiplexertype.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezmultiplexertype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.